Subject: Re: [RFC/PATCH] mergetool: use resolved conflicts in all the views

From: Felipe Contreras <[email-masked]>
Date: Thu, 17 Dec 2020 20:34:35 -0600

Junio C Hamano wrote:
> Seth House <[email-masked]> writes:
> 
> > Would you mind switching the autoMerge option to be per-tool rather than
> > under the main mergetool config section?
> >
> > You're right that it will likely not cause any downstream errors; it's
> > just a difference in preference. The tools that perform their own
> > conflict resolution will likely want it off and most of the other tools
> > will likely want it on. I could envision wanting to configure multiple
> > mergetools -- some with and some without.
> 
> Thanks for a concise summary.
> 
> Many people may stick to just a single tool and may find a single
> mergetool.autoMerge knob convenient (and it is OK for them if the
> new behaviour broke a tool they do not use), but for those who use
> more than one, being able to configure them differently would be
> valuable.

On what tool would you turn this on, and what tool would you turn this
off?

-- 
Felipe Contreras